using Consulenza.ReportWriter.Business.OBJ_PDF;
using Consulenza.ReportWriter.Business;

namespace Consulenza.ReportWriter.Manager.Chapter.Base.Proposta
{
    public class IntestazioneCopertina_PropostaAdeguata : Entity.Chapter
    {
        public IntestazioneCopertina_PropostaAdeguata(EnvironmentFacade environmentFacade, int idChapter)
            : base(environmentFacade, idChapter)
        {
            Draw();
        }

        public IntestazioneCopertina_PropostaAdeguata(EnvironmentFacade environmentFacade, int idChapter, bool repeatoneachpage)
            : this(environmentFacade, idChapter)
        {
            RepeatOnEachPage = repeatoneachpage;
        }

        protected override sealed void Draw()
        {
            var titoloCopertina = new FormattedTextAreaPDF("PROPOSTA DI INVESTIMENTO", 390, 250, ceTe.DynamicPDF.TextAlign.Left) { Y = 75, FontSize = 13, FontBold = true, AbsolutePosition = true, AutoIncrementYWritable = false };

            AddElement(new PagePDF(PagePDF.PagePDFType.Cover));
            AddElement(titoloCopertina);
        }
    }
}
